<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 2;

$sightsArray = array();

$longName = 'Kursplanung';
$tool_id = 3;
$toolName = 'DozKursplanung';
$toolNameBasis = 'Basis';

$sight = new SightItemTool();
$sight->name = 'Filter-Dialog';
$sight->id = 'FilterKursUebersicht';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->group = 'Kursübersicht';
$sight->view = new \Kufer\KuferTools\Basis\KursUebersicht\ShowFilterKursUebersicht\ShowFilterKursUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kurs bearbeiten';
$sight->id = 'KursBearbeiten';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new \Kufer\KuferTools\Dozent\Kursplanung\KursBearbeiten\KursBearbeitenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kurs in Planung bearbeiten';
$sight->id = 'KursBearbeitenPlanung';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new \Kufer\Web\KuferTools\Dozent\Kursplanung\KursBearbeitenPlanung\KursBearbeitenPlanungView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'E-Mail bei Abgabe eines Kurses in Planung';
$sight->id = 'BenachrichtigungKursdatenAenderungEmail';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new \Kufer\Web\KuferTools\Dozent\Kursplanung\KursBearbeitenPlanung\EMail\KursBearbeitenPlanungKursAbgebenEmailView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Terminübersicht';
$sight->id = 'Terminuebersicht';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Dozent\Kursplanung\TerminUebersicht\TerminUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Termin - Panel';
$sight->id = 'Panel';
$sight->toolid = 'BasisUebersicht';
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Basis\Uebersicht\UebersichtPanelMitWssView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Termin - Tabellenspalte';
$sight->id = 'Tabelle';
$sight->toolid = 'BasisUebersicht';
$sight->toolGroup = $toolName;
$sight->view = new \Kufer\KuferTools\Basis\Uebersicht\UebersichtTabelleMitWssView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Filter Termine';
$sight->id = 'FilterTerminUebersicht';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new \Kufer\KuferTools\Dozent\Kursplanung\ShowFilterTerminUebersicht\ShowFilterTerminUebersichtView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Termin bearbeiten';
$sight->id = 'TerminBearbeiten';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new \Kufer\KuferTools\Dozent\Kursplanung\TerminBearbeiten\TerminBearbeitenFormularView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Sammeländerung von Terminen';
$sight->id = 'TerminSammelAenderung';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new \Kufer\KuferTools\Dozent\Kursplanung\TerminSammelaenderung\TerminSammelaenderungFormularView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kursvorschlag';
$sight->id = 'KursVorschlag';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->group = 'Kursvorschlag';
$sight->showNoData = false;
$sight->view = new \Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\KursVorschlagFormularView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kursplanung E-Mail an Einrichtung';
$sight->id = 'KursplanungEmailToEinrichtung';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Betreff';
$sight->group = 'Kursvorschlag';
$sight->view = new \Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\EmailVersand\KursplanungEmailToEinrichtungView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Info E-Mail an Einrichtung';
$sight->id = 'InfoEmailToEinrichtung';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Betreff';
$sight->group = 'Kursvorschlag';
$sight->view = new Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\EmailVersand\InfoEmailToEinrichtungView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'E-Mail an Dozenten';
$sight->id = 'EmailToUser';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Betreff';
$sight->group = 'Kursvorschlag';
$sight->view = new \Kufer\KuferTools\Basis\KursPlanung\KursVorschlag\EmailVersand\EmailToUserView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kurskopie Übersicht';
$sight->id = 'Kurskopie';
$sight->toolid = $toolName;
$sight->toolGroup = $toolName;
$sight->view = new Kufer\KuferTools\Basis\KursPlanung\KursKopie\KursKopieView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kurskopie Kurs';
$sight->id = 'KursKurskopie';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->view = new Kufer\KuferTools\Basis\KursPlanung\KursKopie\KursView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Kursdaten anpassen';
$sight->id = 'KursDatenAnpassen';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->view = new Kufer\KuferTools\Dozent\Kursplanung\KursdatenAnpassenView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Vorlage Benachrichtigung Kursdatenänderung';
$sight->id = 'BenachrichtigungKursdatenAenderung';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Betreff';
$sight->view = new Kufer\KuferTools\Basis\BenachrichtigungNachBearbeiten\BenachrichtigungKursdatenAenderungView(null);
array_push($sightsArray, $sight);

$sight = new SightItemTool();
$sight->name = 'Vorlage Benachrichtigung Termindatenänderung';
$sight->id = 'BenachrichtigungTermindatenAenderung';
$sight->toolid = $toolNameBasis;
$sight->toolGroup = $toolName;
$sight->showNoData = false;
$sight->showNoColumn = true;
$sight->nameNoColumn = 'Betreff';
$sight->view = new Kufer\KuferTools\Basis\BenachrichtigungNachBearbeiten\BenachrichtigungTermindatenAenderungView(null);
array_push($sightsArray, $sight);